# Uses of Enum Class
java.security.cert.PKIXReason

Packages that use PKIXReason
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of PKIXReason in java.security.cert

Methods in java.security.cert that return PKIXReason
Modifier and Type
Method
Description
`static PKIXReason`
PKIXReason.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static PKIXReason[]`
PKIXReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.